## net.dontdrinkandroot.lastfm.api.model
Class Image

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.LfmEntity
          net.dontdrinkandroot.lastfm.api.model.Image

All Implemented Interfaces:
  java.io.Serializable, DateAddedEntity, Entity, FormatEntity, SizesEntity, TitleEntity, UrlEntity, VotesEntity

    public class Image

extends LfmEntity
implements TitleEntity, UrlEntity, DateAddedEntity, FormatEntity, VotesEntity, SizesEntity

See Also:
  Serialized Form

Constructor Summary
`Image(org.w3c.dom.Element imageElement)` Creates an Image from a Dom `Element`.

Method Summary
`java.util.Date` `getDateAdded()`
`java.lang.String` `getFormat()`
`java.util.List<Size>` `getSizes()`
`java.lang.String` `getTitle()`
`java.net.URL` `getUrl()`
`Votes` `getVotes()`
`void` `setDateAdded(java.util.Date dateAdded)`
`void` `setFormat(java.lang.String format)`
`void` `setSizes(java.util.List<Size> sizes)`
`void` `setTitle(java.lang.String title)`
`void` `setUrl(java.net.URL url)`
`void` `setVotes(Votes votes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Image

    public Image(org.w3c.dom.Element imageElement)

  Creates an Image from a Dom `Element`.

  Parameters:
    `imageElement` - The `Element` to parse.

Method Detail

### getSizes

    public java.util.List<Size> getSizes()

  Specified by:
    `getSizes` in interface `SizesEntity`

### setSizes

    public void setSizes(java.util.List<Size> sizes)

  Specified by:
    `setSizes` in interface `SizesEntity`

### getVotes

    public Votes getVotes()

  Specified by:
    `getVotes` in interface `VotesEntity`

### setVotes

    public void setVotes(Votes votes)

  Specified by:
    `setVotes` in interface `VotesEntity`

### getFormat

    public java.lang.String getFormat()

  Specified by:
    `getFormat` in interface `FormatEntity`

### setFormat

    public void setFormat(java.lang.String format)

  Specified by:
    `setFormat` in interface `FormatEntity`

### getDateAdded

    public java.util.Date getDateAdded()

  Specified by:
    `getDateAdded` in interface `DateAddedEntity`

### setDateAdded

    public void setDateAdded(java.util.Date dateAdded)

  Specified by:
    `setDateAdded` in interface `DateAddedEntity`

### getUrl

    public java.net.URL getUrl()

  Specified by:
    `getUrl` in interface `UrlEntity`

### setUrl

    public void setUrl(java.net.URL url)

  Specified by:
    `setUrl` in interface `UrlEntity`

### setTitle

    public void setTitle(java.lang.String title)

  Specified by:
    `setTitle` in interface `TitleEntity`

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `TitleEntity`

Copyright © 2012. All Rights Reserved.